//////////////////////////////////////////////////////////////////////
//
// File:     DMQLCommand.java
// Project:  MIE457F Data Mining System
// Author:   Scott Sanner, University of Toronto (ssanner@cs.toronto.edu)
// Date:     9/1/2003
//
//////////////////////////////////////////////////////////////////////

// Package definition
package dm.dmql;

// Packages to import
import java.lang.*;

/**
 * Parent interface for all DMQL command implementations, i.e. all
 * commands must be able to parse their contents from a TokenStream.
 *
 * @version   1.0
 * @author    Scott Sanner
 * @language  Java (JDK 1.3)
 **/
public abstract class DMQLCommand
{
    /** Internal method for String parsing
     *  @param query The String to parse
     *  @return Whether parsing was successful
     **/
    public abstract boolean parse(TokenStream ts);

}
