//////////////////////////////////////////////////////////////////////
//
// File:     TokenStreamException.java
// Project:  MIE457F Data Mining System
// Author:   Scott Sanner, University of Toronto (ssanner@cs.toronto.edu)
// Date:     10/1/2003
//
//////////////////////////////////////////////////////////////////////

// Package definition
package dm.dmql;

// Packages to import
import java.lang.*;

/**
 * An exception thrown by TokenStream
 *
 * @version   1.0
 * @author    Scott Sanner
 * @language  Java (JDK 1.3)
 **/
public class TokenStreamException
    extends Exception {

    /** Local data members **/
    public int    _nPos;
    public int    _nLine;
    public int    _nLinePos;

    /** Constructor
     *  @param error String specifying the error that occurred
     **/
    public TokenStreamException(String error) {
	super(error);
	_nPos = _nLine = _nLinePos = -1;
    }

    /** Constructor
     *  @param error    String specifying the error that occurred
     *  @param pos      Char position where error occurred
     *  @param line     Line number where error occurred
     *  @param line_pos Char position on line where error occurred
     **/
    public TokenStreamException(String error, int pos, int line, int line_pos) {
	super(error);
	_nPos     = pos;
	_nLine    = line;
	_nLinePos = line_pos;
    }

}
